# Generated automatically from Makefile.in by configure.
#
#  A wrapper to compile SFIO library per that library's own machinery
#  within ZMailer environment
#

srcdir = .


CC     = gcc -Wall
CFLAGS = -g -O2

all:
	-mkdir -p lib include
	DIR=`/bin/pwd`;PATH=$$DIR/$$srcdir/bin:$$PATH;export PATH; \
		cd src/lib/sfio; $(MAKE) -f makefile  all
	rm -f ../libs/libsfio.a ../libs/libstdio.a
	ln lib/libsfio.a  ../libs/
	ln lib/libstdio.a ../libs/
	rm -f ../include/ast_common.h ../include/sfio.h
	ln include/ast_common.h  ../include/
	ln include/sfio.h        ../include/

clean:
	cd src/lib/sfio; $(MAKE) -f makefile  clean
	rm -f ../libs/libsfio.a ../libs/libstdio.a
	rm -f ../include/ast_common.h ../include/sfio.h
	rm -f lib/*.a include/*.h

distclean: clean
	rm -f Makefile src/lib/sfio/makefile
	rm -f sfio/src/lib/sfio/Stdio_b/Makefile
	rm -f sfio/src/lib/sfio/Stdio_s/Makefile
	rm -f sfio/src/lib/sfio/Sfio_f/Makefile
	rm -f sfio/src/lib/sfio/Sfio_dc/Makefile
